using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace AT288Demo.Net.Dialog
{
    public partial class BluetoothInputPinCodeDialog : Form
    {
        #region Contructor
        public BluetoothInputPinCodeDialog()
        {
            InitializeComponent();
        }
        #endregion

        #region Properties
        public string PinCode { get { return txtPinCode.Text; } }
        #endregion

        #region Event Handler
        private void BluetoothInputPinCodeDialog_FormClosing(object sender, FormClosingEventArgs e)
        {
            if (DialogResult != DialogResult.OK)
                DialogResult = DialogResult.Cancel;
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.OK;
            Close();
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.Cancel;
            Close();
        }
        #endregion
    }
}
